### Method

# Gimp Config deserialize

since: 2.8

#### Declaration [src]

    gboolean
    gimp_config_deserialize (
      GimpConfig* config,
      GScanner* scanner,
      gint nest_level,
      gpointer data
    )

#### Description [src]

Deserialize the `GimpConfig` object.

Available since: 2.8

#### Parameters

`scanner`

  Type: `GScanner`

  The `GScanner` to use.

  The data is owned by the caller of the method.

`nest_level`

  Type: `gint`

  The nest level.

`data`

  Type: `gpointer`

  Client data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether serialization succeeded.